<!DOCTYPE html>
<html>
<head>
<title>Hoc HTML</title>
<meta charset="utf-8";>
<link rel="stylesheet" type="text/css" href="hoc_css.css"/>
</head>
<style >
 body {background-color: powderblue; border: 5px solid black; padding: 30px; margin: 50px}
 h1   {color: blue;}
 #p01 {
    color: blue;
}
p.error {
    color: yellow;
}
a:link {
    color: green; 
    background-color: transparent; 
    text-decoration: none;
}

a:visited {
    color: grey;
    background-color: transparent;
    text-decoration: none;
}

a:hover {
    color: red;
    background-color: transparent;
    text-decoration: none;
}

a:active {
    color: yellow;
    background-color: transparent;
    text-decoration: underline;
}
table, th, td{border: 2px solid black; border-collapse: collapse;}
th, td {padding: 15px; text-align: center;}
table {
    border-spacing: 5px;
}
</style>
<body>
<h1 style="text-align: center;">This is heading 1</h1>
<h1 class="sticky">Tiêu đề class</h1>
<h2 id="post-title">Tiêu đề có thiết lập ID</h2>
<h2>This is heading 2</h2>
<h3>This is heading 3</h3>
<h4>This is heading 4</h4>
<hr>
<h5>This is heading 5</h5>
<h6>This is heading 6</h6>
<p>Học CSS</p>
<p title='hoc html'>This is a paragraph.</p>
<p id="xem">This is another paragraph.</p>
<a href="https://www.google.com.vn/">Click vào link</a>
<hr>
<img src="anh.jpg" alt="anh bi loi" width="104" height="142">

<br/>
<p style="text-align: right;">
This paragraph
contains a lot of lines
in the source code,
but the browser 
ignores it.
</p>

<p style="font-family: verdana; font-size: 19px">
This paragraph
contains         a lot of spaces
in the source         code,
but the        browser 
ignores it.
</p>

<p style="color: red">
  My Bonnie lies over the ocean.

  My Bonnie lies over the sea.

  My Bonnie lies over the ocean.

  Oh, bring back my Bonnie to me.
</p>
<pre style="background-color: blue">
  My Bonnie lies over the ocean.

  My Bonnie lies over the sea.

  My Bonnie lies over the ocean.

  Oh, bring back my Bonnie to me.
</pre>

<em>w3school</em>
<mark> nguyen <sub>hai</sub> <sup>yen</sup></mark>
<p>WWF's goal is to: <q>Build a future where people live in harmony with nature.</q></p>

<p>Here is a quote from WWF's website:</p>
<blockquote  cite="http://www.worldwildlife.org/who/index.html">
For 50 years, WWF has been protecting the future of nature.
The world's leading conservation organization,
WWF works in 100 countries and is supported by
1.2 million members in the United States and
close to 5 million globally.
</blockquote>

<p>The <abbr title="World Health Organization">WHO</abbr> was founded in 1948.</p>

<p><cite>Tieu de: The Scream</cite> by Edvard Munch. Painted in 1893.</p>

<bdo dir="rtl">ghi nguoc lai tu phai sang trai right to left</bdo> <!-- ghi nguoc chu lai tu phai sang trai-->

<p id="p01">I am different</p>

<p class="error">I am different'''</p>

<a href="default.asp">
  <img src="smiley.gif" alt="HTML tutorial" style="width:42px;height:42px;border:0;">
</a>

<address style="text-align: right;">
Written by John Doe.<br> 
Visit us at:<br>
Example.com<br>
Box 564, Disneyland<br>
USA
</address>
<hr>
Lorem ipsum door sit amet

consectetur adipiscing elit

<ol type="I">
<li>Mục I</li>
<li>Mục II</li>
</ol>

<ul>
	<li>mục 1</li>
	<li>mục 2</li>
</ul>
<hr>
<dl>
	<dt>
		Một website gồm có<br>
		HTML<dd>khung xương của website</dd><br>
		CSS<dd>bộ da của website</dd>
		Javascript<dd>bộ cánh của website</dd>
	</dt>
</dl>

<ul>
	<li>
		WordPress
		<ul>
		  <li>WordPress Themes</li>
		  <li>WordPress Plugin</li>
	    </ul>
	</li>
	<li>
		Front-end<ul>
		<li>HTML</li>
		<li>CSS</li></ul>
	</li>
</ul>

<a href="https://thachpham.com" title="Thach Pham Blog" target="_blank">nhấp vào đây</a>
<br>
<a href="#xem">Đi đến nội dung này</a>
<br>
<img src="/dev/images/tLJ3dnmm.jpg" title="hoa" alt="anh khong hien thi duoc" style="width: 120px;height: 128px">
<br>
<video width="320" height="240" controls>
	<source src="/dev/video/[10scuoi].mp4" type="video/mp4">
</video>
<br>
<audio controls>
  <source src="/dev/audio/1234-Chi-Dan.mp3" type="audio/mpeg">
</audio>
<br>



<iframe src="http://hocwebchuan.com" width="900px" height="400px" scrolling="auto"></iframe>
<hr>



<form action="#" method="post">
	<fieldset> <!--nhóm các dữ liệu liên quan thành một biểu mẫu-->
		<legend>Form Đăng nhập</legend>
			Tên đăng nhập: <input type="text" name="tendangnhap" placeholder="Nhập username" title="Nhập username"> <br>
			Mật khẩu: <input type="password" name="password" placeholder="Nhập password" title="Nhập password"> <br>
			<select>
				<option value="Đăng nhập">Đăng nhập</option>
				<option value="Đăng ký">Đăng ký</option>
			</select>
			<input type="submit" name="submit" value="Đăng nhập">
    </fieldset>
</form>



<table style="width: 50%">
	<caption style="font-size: 40px">Sinh viên</caption>
	<tr>
		<!--<th colspan="2">Tên</th> tạo chứa 2 cột-->
		<th>Tên</th>
		<th>Tuổi</th>
		<th>Quê</th>
	</tr>
	<tr>
		<!--<td colspan="2">Y</td> tạo chứa 2 dòng-->
		<td>Y</td>
		<td>21</td>
		<td>HY</td>
	</tr>
	<tr>
		<td>A</td>
		<td>28</td>
		<td>HP</td>
	</tr>
	<tr>
		<td>G</td>
		<td>11</td>
		<td>PY</td>
	</tr>
</table>

<iframe src="https://www.youtube.com/embed/T_WYt1FWmDg" width="300px" height="300px"></iframe>

<p>Tài liệu hướng dẫn học <span style="font-size:30px;font-weight:bold;">lập trình web</span> bao gồm: <span style="color:crimson;background-color:#f1f1f1;">HTML</span>, CSS, <span style="text-decoration:underline;font-style:italic;">JavaScript</span></p>

<object width="100%" height="500px" data="http://webcoban.vn"> <!-- tương đương iframe-->

</body>
</html>